<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>

	<!--
		As a sidenote, provided the lang metadata of your font is correct, simply having it in the fontconfig cache would make it get picked up
		to render said language, since Code2000's supported list of lang in null.
		But for complex scripts, you'd hit the weird layout issue when using a custom FT... Using this override should fix that.
		That said, I've seen the KF8 renderer fall on its ass and fall back to not doing complex layouts for very fickle reasons... Re-opening the book or
		restarting webreader seems to help in these instances...

		Also, as a fun side-effect, this 'fixes' the sans-serif fallback when using Publisher Fonts on badly formatted books
		(cf. http://www.mobileread.com/forums/showpost.php?p=2855864&postcount=8).
	-->

	<!-- Fragile as fuck. Changing the mode or binding type can lead to weird and wonderful results in regard to complex script shaping (or UI breaking ;p) -->
	<match target="pattern">
		<test name="family" compare="eq">
			<string>Code2000</string>
		</test>
		<edit name="family" mode="prepend" binding="strong">
			<string>%TO_USE%</string>
		</edit>
	</match>

	<!-- Unfuck the mess that'll trigger for all the fonts belonging to an alias where Code2000 is present... -->
	<match target="pattern">
		<test name="family" compare="eq">
			<string>Futura</string>
		</test>
		<edit name="family" mode="assign" binding="strong">
			<string>Futura</string>
		</edit>
	</match>
	<match target="pattern">
		<test name="family" compare="eq">
			<string>Caecilia Regular</string>
		</test>
		<edit name="family" mode="assign" binding="strong">
			<string>Caecilia Regular</string>
		</edit>
	</match>
	<match target="pattern">
		<test name="family" compare="eq">
			<string>condensed</string>
		</test>
		<edit name="family" mode="assign" binding="strong">
			<string>condensed</string>
		</edit>
	</match>
	<!--
		NOTE: This is fragile as hell, tweaking the wrong thing can somehow make the layout engine refuse to do complex shaping with a custom FT...
		Strangely enough, this is how Publisher Fonts always behave,
		and how Code2000 behaves by default when using a custom FT but without an override...
		This is also the behaviour observed when selecting the font in the Aa menu when Code2000 isn't overriden...
		(Talking about complex scripts here).
		TL;DR: With a custom FT, enabling a Code2000 override actually fixes the broken complex layouts observed otherwise.
		So, yeah, really no idea what Amazon does to their FT build, but it's getting curiouser and curiouser... ;).

		Another weird thing: the KF8 renderer seems to adopt the metrics of the font currently selected in the Aa menu... -_-"
		...Unless you omit of of these fixups, in which case, since that specific family essentially ends up being the font you overrode Code2000 with,
		you've got the "right" metrics, punctuation & diacritical marks.
		I'd recommend condensed or Baskerville as sacrificial lambs...
	-->
	<!-- We need to handle Palatino & Baskerville for the PW... -->
	<match target="pattern">
		<test name="family" compare="eq">
			<string>Palatino</string>
		</test>
		<edit name="family" mode="assign" binding="strong">
			<string>Palatino</string>
		</edit>
	</match>
	<match target="pattern">
		<test name="family" compare="eq">
			<string>Baskerville</string>
		</test>
		<edit name="family" mode="assign" binding="strong">
			<string>Baskerville</string>
		</edit>
	</match>
	<!-- And Bookerly for FW >= 5.6.5... -->
	<match target="pattern">
		<test name="family" compare="eq">
			<string>Bookerly</string>
		</test>
		<edit name="family" mode="assign" binding="strong">
			<string>Bookerly</string>
		</edit>
	</match>
	<!-- Plus Amazon Ember for FW >= 5.7.2... -->
	<match target="pattern">
		<test name="family" compare="eq">
			<string>Amazon Ember</string>
		</test>
		<edit name="family" mode="assign" binding="strong">
			<string>Amazon Ember</string>
		</edit>
	</match>
	<!-- As well as Open Dyslexic for FW >= 5.7.2... -->
	<match target="pattern">
		<test name="family" compare="eq">
			<string>OpenDyslexic</string>
		</test>
		<edit name="family" mode="assign" binding="strong">
			<string>OpenDyslexic</string>
		</edit>
	</match>

	<!-- NOTE: This might also apply to CJK fonts. Let's, huh, say we're leaving those as-is by design ;p -->
</fontconfig>
