<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
	<!--
		FW 5.7.2 introduced Amazon Ember as the default sans-serif font...
		Since it's used as the UI font, and as such used all over the place,
		including when the userstore is down, it's a terrible idea to try to
		override the whole sans family...

		Instead, we will content ourselves with overriding Helvetica, as can be
		chosen in the Aa menu, which is most likely what we care about anyway :).

		We couldn't do that before, because, despite the addition of Futura (in 5.2.x),
		and its use as the mostly de-facto UI font (the dialog alias was still a mix of
		Helvetica & Futura), Helvetica was still at the top of the sans alias...
		With 5.7.2, Ember is both the sole font in the dialog alias, and at the top of the
		sans alias, which nicely frees up Helvetica for us :).
	-->
	<match target="pattern">
		<test name="family" compare="eq">
			<string>Helvetica Neue LT</string>
		</test>
		<edit name="family" mode="prepend" binding="strong">
			<string>%TO_USE%</string>
		</edit>
	</match>

	<!--
		Make sure we don't short-circuit the other sans fonts shipped on the PW,
		which despite being at the head of the list, have a weak binding...
	-->
	<match target="pattern">
		<test name="family" compare="eq">
			<string>Futura</string>
		</test>
		<edit name="family" mode="assign" binding="strong">
			<string>Futura</string>
		</edit>
	</match>
	<!--
		FW 5.7.2 introduced Amazon Ember as the default sans-serif font...
		Take care of it...
	-->
	<match target="pattern">
		<test name="family" compare="eq">
			<string>Amazon Ember</string>
		</test>
		<edit name="family" mode="prepend" binding="strong">
			<string>Amazon Ember</string>
		</edit>
	</match>
	<!--
		FW 5.7.2 also introduced Open Dyslexic....
	-->
	<match target="pattern">
		<test name="family" compare="eq">
			<string>OpenDyslexic</string>
		</test>
		<edit name="family" mode="prepend" binding="strong">
			<string>OpenDyslexic</string>
		</edit>
	</match>

</fontconfig>
