#!/bin/sh
#
# Fonts uninstaller
#
# $Id: uninstall.sh 17950 2020-11-21 22:04:08Z NiLuJe $
#
##

HACKNAME="linkfonts"

# Pull libOTAUtils for logging & progress handling
[ -f ./libotautils5 ] && source ./libotautils5


otautils_update_progressbar

# Delete upstart job
logmsg "I" "uninstall" "" "removing upstart job"
if [ -f /etc/upstart/${HACKNAME}.conf ] ; then
    rm -f /etc/upstart/${HACKNAME}.conf
fi

otautils_update_progressbar

# Delete fontconfig config
logmsg "I" "uninstall" "" "removing fontconfig config"
if [ -f /etc/fonts/conf.d/75-linkfonts-altfonts.conf ] ; then
    rm -f /etc/fonts/conf.d/75-linkfonts-altfonts.conf
fi

otautils_update_progressbar

# Remove custom directory in userstore?
logmsg "I" "uninstall" "" "removing kual extensions"
if [ -d /mnt/us/extensions/${HACKNAME} ] ; then
    rm -rf /mnt/us/extensions/${HACKNAME}
    rm -rf /mnt/us/extensions/linkfonts-ovr
    logmsg "I" "uninstall" "" "kual extensions have been removed"
fi
logmsg "I" "uninstall" "" "removing custom directory (only if /mnt/us/${HACKNAME}/uninstall exists)"
if [ -d /mnt/us/${HACKNAME} -a -f /mnt/us/${HACKNAME}/uninstall ] ; then
    rm -rf /mnt/us/${HACKNAME}
    logmsg "I" "uninstall" "" "custom directory has been removed"
fi

otautils_update_progressbar

logmsg "I" "uninstall" "" "done"

otautils_update_progressbar

return 0
